require "util"

data:extend({
--[[
  { type = "autoplace-control", name = "volcanic",
    richness = true,
    order = "a-v"
  },--]]
  { type = "noise-layer", name = "volcanic"
  },
  { type = "noise-layer", name = "sulfur"
  },
  { type = "resource", name = "sulfur",
    icon = "__base__/graphics/icons/sulfur.png",
    flags = {"placeable-neutral"},
    order="a-b-s",
    minable =
    {
      hardness = 0.2,
      --mining_particle = "copper-ore-particle",
      mining_time = 1,
      result = "sulfur"
    },
    collision_box = {{ -0.1, -0.1}, {0.1, 0.1}},
    selection_box = {{ -0.5, -0.5}, {0.5, 0.5}},
    autoplace =
    {
--      control = "volcanic",
--      size_control_multiplier = 0.06,
      sharpness = 1,
      richness_multiplier = 400,
      richness_base = 10,
	  peaks={
        {
          influence = 0.625,
		  richness_influence = .2,
          noise_layer = "enemy-base",
		  noise_octaves_difference = -.8,
          noise_persistence = 0.625,
		  water_optimal = 0,
		  water_range = .1,
		  water_max_range = .2,
        },
        {
          influence = 0.475,
          noise_layer = "sulfur",
          noise_octaves_difference = -1.25,
          noise_persistence = 0.6,
          roughness_weight_optimal = 1,
          roughness_weight_max_range = 2,
        },
		{
		  influence = .25,
		  min_influence = 0,
		  noise_layer="sulfur",
		  --noise_octaves_difference = 0.3,
		  noise_persistence = .6,
          starting_area_weight_optimal = 1,
          starting_area_weight_range = 0,
          starting_area_weight_max_range = 1,
		},
        {
          influence = -0.3,
          max_influence = 0,
          noise_layer = "copper-ore",
          noise_octaves_difference = -2.3,
          noise_persistence = 0.45,
        },
        {
          influence = -0.3,
          max_influence = 0,
          noise_layer = "iron-ore",
          noise_octaves_difference = -2.3,
          noise_persistence = 0.45,
        },
        {
          influence = 0.3,
		  min_influence = -.1,
		  richness_influence = .01,
          noise_layer = "coal",
		  noise_octaves_difference = -3,
          noise_persistence = 0.85,
          starting_area_weight_optimal = 1,
          starting_area_weight_range = 0,
          starting_area_weight_max_range = 2,
        },
        {
          influence = 0.1,
		  min_influence = 0,
		  richness_influence = .1,
          noise_layer = "crude-oil",
          noise_persistence = 0.75,
		  noise_octaves_difference = -3,
        },
		{
		  influence = -4,
		  max_influence = .15,
		  noise_layer = "trees",
		}
      },
    },
    stage_counts = {120, 100, 75, 50, 30, 20, 10, 5},
    stages = { filename = "__groundsulfur__/graphics/sulfur-on-ground.png",
      priority = "extra-high",
      width = 38,
      height = 38,
      frame_count = 4,
      direction_count = 8
    },
    map_color = {r=0.653, g=0.638, b=0.01}
  },
})


local function AddUnlock(tech,recipe)
if data.raw.technology[tech].effects then
	table.insert(data.raw.technology[tech].effects,{type="unlock-recipe",recipe=recipe})
else
	data.raw.technology[tech].effects={{type="unlock-recipe",recipe=recipe}}
end
end

AddUnlock("sulfur-processing","chemical-plant")

if not data.modcom then data.modcom = {} end
if not data.modcom.underground_mining then data.modcom.underground_mining = {} end
if not data.modcom.underground_mining.finite then data.modcom.underground_mining.finite = {} end
if not data.modcom.underground_mining.pure then data.modcom.underground_mining.pure = {} end
data.modcom.underground_mining.finite["sulfur"]=true
data.modcom.underground_mining.pure["sulfur"]=true

